# forms

for generating HTML forms

## API

#### [properties](#forms-properties)

  - [id](#forms-properties-id)


#### [methods](#forms-methods)

  - [generate](#forms-methods-generate) (options)


for generating HTML forms

- **id** 

  - **type** : any


<a name="forms-methods"></a> 

## methods 

<a name="forms-methods-generate"></a> 

### forms.generate(options)

generates a new form based on a resource schema

- **options** 

  - **properties**

    - **resource** 

      - **type** : string

      - **required** : true

    - **method** 

      - **type** : string

      - **required** : true

  - **callback**

    - type : *function*



*README auto-generated with [docs](https://github.com/bigcompany/resources/tree/master/docs)*